Skip to main content
GET
/
v1
/
report
/
insight
/
ssp
/report/insight/ssp
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/ssp \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/ssp"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/ssp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "currency": "GBP",
    "dimension": [
      "appnexus",
      "criteo",
      "ix",
      "ogury",
      "pubmatic",
      "rubicon",
      "seedtag"
    ],
    "bid_requests": [
      93708551,
      73668796,
      84540546,
      1074,
      73245763,
      83359323,
      95420679
    ],
    "bids": [
      22064472,
      14601552,
      30424084,
      179,
      12245109,
      15027935,
      29643417
    ],
    "won_bids": [
      8609531,
      3509801,
      7479061,
      101,
      2673918,
      1480675,
      9904168
    ],
    "no_bids": [
      71644079,
      59067244,
      54116462,
      895,
      61000654,
      68331388,
      65777262
    ],
    "lost_bids": [
      13454941,
      11091751,
      22945023,
      78,
      9571191,
      13547260,
      19739249
    ],
    "bid_revenue": [
      18745.82438972,
      5967.73685295,
      15763.789292,
      0.0767347,
      8958.724171,
      9357.071539,
      28961.76876234
    ],
    "won_bid_revenue": [
      8365.27115324,
      2608.46206556,
      5246.3698921,
      0.05080034,
      2891.0359623,
      1493.5203965,
      15127.49987196
    ],
    "stats": {
      "bid_requests": 503944732,
      "bids": 124006748,
      "won_bids": 33657255,
      "no_bids": 379937984,
      "lost_bids": 90349493,
      "bid_revenue": 87754.99174171001,
      "won_bid_revenue": 35732.210141999996,
      "compare": {
        "bid_requests": 417260441,
        "bids": 85761755,
        "no_bids": 331498686,
        "won_bids": 22624574,
        "lost_bids": 63137181
      },
      "top_performer": {
        "dimension": "seedtag",
        "no_bids": 65777262,
        "bids": 29643417,
        "won_bids": 9904168,
        "bid_requests": 95420679,
        "lost_bids": 19739249,
        "won_bid_revenue": 15127.49987196,
        "bid_revenue": 28961.76876234,
        "compare": {
          "dimension": "seedtag",
          "no_bids": 61644605,
          "bids": 18144774,
          "won_bids": 5640853,
          "bid_requests": 79789379,
          "lost_bids": 12503921,
          "won_bid_revenue": 8460.67560254,
          "bid_revenue": 17419.4672116
        }
      },
      "bottom_performer": {
        "dimension": "ogury",
        "no_bids": 895,
        "bids": 179,
        "won_bids": 101,
        "bid_requests": 1074,
        "lost_bids": 78,
        "won_bid_revenue": 0.05080034,
        "bid_revenue": 0.0767347,
        "compare": {
          "dimension": "seedtag",
          "no_bids": 61644605,
          "bids": 18144774,
          "won_bids": 5640853,
          "bid_requests": 79789379,
          "lost_bids": 12503921,
          "won_bid_revenue": 8460.67560254,
          "bid_revenue": 17419.4672116
        }
      }
    },
    "data": [
      {
        "dimension": "appnexus",
        "no_bids": 71644079,
        "bids": 22064472,
        "won_bids": 8609531,
        "bid_requests": 93708551,
        "lost_bids": 13454941,
        "won_bid_revenue": 8365.27115324,
        "bid_revenue": 18745.82438972
      },
      {
        "dimension": "criteo",
        "no_bids": 59067244,
        "bids": 14601552,
        "won_bids": 3509801,
        "bid_requests": 73668796,
        "lost_bids": 11091751,
        "won_bid_revenue": 2608.46206556,
        "bid_revenue": 5967.73685295
      },
      {
        "dimension": "ix",
        "no_bids": 54116462,
        "bids": 30424084,
        "won_bids": 7479061,
        "bid_requests": 84540546,
        "lost_bids": 22945023,
        "won_bid_revenue": 5246.3698921,
        "bid_revenue": 15763.789292
      },
      {
        "dimension": "ogury",
        "no_bids": 895,
        "bids": 179,
        "won_bids": 101,
        "bid_requests": 1074,
        "lost_bids": 78,
        "won_bid_revenue": 0.05080034,
        "bid_revenue": 0.0767347
      },
      {
        "dimension": "pubmatic",
        "no_bids": 61000654,
        "bids": 12245109,
        "won_bids": 2673918,
        "bid_requests": 73245763,
        "lost_bids": 9571191,
        "won_bid_revenue": 2891.0359623,
        "bid_revenue": 8958.724171
      },
      {
        "dimension": "rubicon",
        "no_bids": 68331388,
        "bids": 15027935,
        "won_bids": 1480675,
        "bid_requests": 83359323,
        "lost_bids": 13547260,
        "won_bid_revenue": 1493.5203965,
        "bid_revenue": 9357.071539
      },
      {
        "dimension": "seedtag",
        "no_bids": 65777262,
        "bids": 29643417,
        "won_bids": 9904168,
        "bid_requests": 95420679,
        "lost_bids": 19739249,
        "won_bid_revenue": 15127.49987196,
        "bid_revenue": 28961.76876234
      }
    ]
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

date_group
enum<string>
default:day

Date grouping when range=custom

Available options:
day,
month,
year
dimension
enum<string>

Dimension to report on

Available options:
unit,
config,
geo,
device,
partner
rev_type
enum<string>
default:gross

Revenue type

Available options:
gross,
net
rev_source
enum<string>
default:all

Revenue source, SaaS or Plug&Play (pap)

Available options:
all,
pap,
saas
ssp
string
default:<string>

SSP to filter on

aggregate
enum<string>

Aggregation method

Available options:
average,
total
environment
enum<string>
default:all

Environment or platform to report from

Available options:
all,
app,
web

Response

200 - application/json
results
object
required
success
boolean
required